MainProgram:
  // initialize TCP
  lcdPort = 42000
  n = tcps_Serve(lcdPort)
  print n
  print TCPS_status()
  delay 1000
  gosub InitializeRobot
  // wait for message and send back GOT IT
  while true
    rBuff = tcps_Read()
    if Length(rBuff)>0
      xyString 505,vp,rBuff
      vp+=15 // move text down by 15
      gosub MoveRobot
    endif   
  wend  
End

InitializeRobot:  
  rectangle 0,0,799,599  
  rectangle 0,0,500,599
  xyString 585,5,"Text Received"
  vp = 25 //vert pos of text
  // create obstacles
  circle 100,100,300,150,black,black
  circle 100,400,150,500,red,red
  rectangle 350,250,400,400,black,black
  // create the robot
  rLocate 200,300
  rInvisible green
  rPen Down
return    

MoveRobot:
  // rBuff contains the text
  n = 60 // amount to move
  if InString(rBuff,"little")
    n=30
  elseif InString(rBuff,"bunch")
    n=90
  endif 
  dir = 1 //direction of turns
  if InString(rBuff,"left")
    dir = -1
  endif
  if InString(rBuff,"forward")
    if not rFeel()&13 then rForward n
  endif
  if InString(rBuff,"turn")
    rTurn dir*n
  endif
return
 



